using System.Collections.Generic;
using System.Linq;
using Sirenix.OdinInspector;
using VOID.Generic.Objects.Wearable;

namespace VOID.Generic.Objects.Armor
{
    public class ArmorObject : WearableObject
    {
        [Title("=== ArmorObject properties ===")]
        public ArmorObjectData armorData;
        public ArmorObjectState armorState;
        
        protected override List<ObjectComponent> GetObjectComponents()
        {
            return base.GetObjectComponents()
                .Union(new List<ObjectComponent>
                {
                    armorData,
                    armorState
                })
                .ToList();
        }
    }
}
